org.apache.jasper.compiler

## Class ELInterpreterFactory.DefaultELInterpreter

- java.lang.Object
- - org.apache.jasper.compiler.ELInterpreterFactory.DefaultELInterpreter

- All Implemented Interfaces:
    ELInterpreter
  Enclosing class:
    ELInterpreterFactory

      public static class ELInterpreterFactory.DefaultELInterpreter
      extends Object
      implements ELInterpreter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ELInterpreterFactory.DefaultELInterpreter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `interpreterCall(JspCompilationContext context, boolean isTagFile, String expression, Class<?> expectedType, String fnmapvar, boolean xmlEscape)` Returns the string representing the code that will be inserted into the servlet generated for JSP.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ELInterpreterFactory.DefaultELInterpreter

          public ELInterpreterFactory.DefaultELInterpreter()

  - ### Method Detail

    - #### interpreterCall

          public String interpreterCall(JspCompilationContext context,
                               boolean isTagFile,
                               String expression,
                               Class<?> expectedType,
                               String fnmapvar,
                               boolean xmlEscape)

      Description copied from interface: `ELInterpreter`
      Returns the string representing the code that will be inserted into the servlet generated for JSP. The default implementation creates a call to `PageContextImpl.proprietaryEvaluate( String, Class, javax.servlet.jsp.PageContext, org.apache.jasper.runtime.ProtectedFunctionMapper, boolean)` but other implementations may produce more optimised code.
      Specified by:
        `interpreterCall` in interface `ELInterpreter`
        `expression` - a String containing zero or more "${}" expressions
        `expectedType` - the expected type of the interpreted result
        `fnmapvar` - Variable pointing to a function map.
        `xmlEscape` - True if the result should do XML escaping
      Returns:
        a String representing a call to the EL interpreter.

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.